Bug 63052 - amd service inoperational after a suspend
amd service inoperational after a suspend
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: apmd (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-09 13:05 EDT by Michal Jaegermann
Modified: 2014-03-16 22:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-02 17:47:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2002-04-09 13:05:16 EDT
Description of Problem:

On a laptop with an active 'amd' service after a suspend and resume
'service amd status' reports something like that "amd (pid 12117) is running..."
but no mounts are occuring until the service is restarted.

I think that 'NETFS_RESTART="yes"' is responsible as it unmounts also
something like '<host>:(pid12117) on /net type nfs ....'  rendering amd
as good as dead.

Either unmounting on suspend has to be limited only to remote hosts
(better) or upon resume amd status checked and restarted if it is running.
'service amd condrestart' hopefuly will do.

Yes, I would use autofs instead if it would be capable to mount NFS exported 
trees instead of single file systems.  Before that this is not a good
proposition.

Not sure at this moment if "public beta" is affected the same way but
quite likely this is the case.
Comment 1 Michal Jaegermann 2002-04-09 16:45:16 EDT
Well, indeed, the following 'apmcontinue' scripts seems to solve the matter:

#!/bin/bash

PROG="$1"
case "$PROG" in
        resume)
            if [ "$NETFS_RESTART" = "yes" ] ; then
                if ! mount | grep -q 'on /net type nfs' ; then
                    /sbin/service amd condrestart
                fi
            fi
        ;;
esac
Comment 2 Bill Nottingham 2005-02-02 17:47:36 EST
Closing out bugs on older unsupported releases. Apologies for any lack
of response. Please reopen if it persists on current releases such as
Fedora Core 3.

Note You need to log in before you can comment on or make changes to this bug.